# HashGroupifyDistribution.PrivacyCondition (ARX Developer Documentation)

org.deidentifier.arx.framework.check.groupify

## Interface HashGroupifyDistribution.PrivacyCondition

- Enclosing class:
    HashGroupifyDistribution

      public static interface HashGroupifyDistribution.PrivacyCondition

  A condition that may or may not be fulfilled for the distribution

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `HashGroupifyDistribution.PrivacyCondition.State` The current state of the search condition

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HashGroupifyDistribution.PrivacyCondition.State` | `isFulfilled(HashGroupifyDistribution distribution)` Evaluates the condition on the given distribution

- - ### Method Detail

    - #### isFulfilled

          HashGroupifyDistribution.PrivacyCondition.State isFulfilled(HashGroupifyDistribution distribution)

      Evaluates the condition on the given distribution
      Parameters:
        `distribution` -
      Returns: